
# Copyright (C) 2020 Tommi Höynälänmaa

# This file is part of Theme-D-Golf.

# You can redistribute and/or modify this file under the terms of the
# GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.

# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see https://www.gnu.org/licenses/.


gintrlibdir = $(LIB_DIR)/theme-d-intr

nodist_gintrlib_DATA = support.tci support.tcb

COMP_OPTIONS =

%.tci : %.thi
	theme-d-compile $(COMP_OPTIONS) -m ..: -o $@ $<

%.tcb : %.thb %.tci
	theme-d-compile $(COMP_OPTIONS) -m ..: -o $@ $<

mostlyclean-local: mostlyclean-local-check

.PHONY: mostlyclean-local-check

mostlyclean-local-check:
	-rm support.tci support.tcb
